import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { User } from 'src/system/entities/user.entity';
import { Repository } from 'typeorm';
import { EvaluationIndicatorDto } from '../dto/evaluation-indicator.dto';
import { StudentEvaluationDto } from '../dto/student-evaluation.dto';
import { EvaluationIndicator } from '../entities/evaluation-indicator.entity';
import { StudentEvaluation } from '../entities/student-evaluation.entity';

@Injectable()
export class EvaluationIndicatorService {
  constructor(
    @InjectRepository(EvaluationIndicator)
    private eiRepository: Repository<EvaluationIndicator>, // @InjectRepository(StudentEvaluation) // private seRepository: Repository<StudentEvaluation>,
  ) {}
  async editor(data: EvaluationIndicatorDto) {
    return this.eiRepository.save({
      ...data,
      id: 1,
    });
  }
  async getInfo() {
    return this.eiRepository.findOneBy({ id: 1 });
  }
}
